import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderArgsObjectSchema as CloudFolderArgsObjectSchema } from './CloudFolderArgs.schema';
import { CloudFolderFindManySchema as CloudFolderFindManySchema } from '../findManyCloudFolder.schema';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { CloudFileFindManySchema as CloudFileFindManySchema } from '../findManyCloudFile.schema';
import { CloudFolderCountOutputTypeArgsObjectSchema as CloudFolderCountOutputTypeArgsObjectSchema } from './CloudFolderCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  userId: z.boolean().optional(),
  name: z.boolean().optional(),
  parentId: z.boolean().optional(),
  patientId: z.boolean().optional(),
  parent: z.union([z.boolean(), z.lazy(() => CloudFolderArgsObjectSchema)]).optional(),
  children: z.union([z.boolean(), z.lazy(() => CloudFolderFindManySchema)]).optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional(),
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  files: z.union([z.boolean(), z.lazy(() => CloudFileFindManySchema)]).optional(),
  createdAt: z.boolean().optional(),
  updatedAt: z.boolean().optional(),
  _count: z.union([z.boolean(), z.lazy(() => CloudFolderCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const CloudFolderSelectObjectSchema: z.ZodType<Prisma.CloudFolderSelect> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderSelect>;
export const CloudFolderSelectObjectZodSchema = makeSchema();
